Bug 572995 - Tables in PDFs sometimes do not have a bottom line
Tables in PDFs sometimes do not have a bottom line
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-12 10:12 EST by Daniel W. Ottey
Modified: 2010-11-23 23:18 EST (History)
6 users (show)

See Also:
Fixed In Version: publican-1.6.1-0.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-23 20:47:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
The XML file. (4.81 KB, text/xml)
2010-03-12 10:12 EST, Daniel W. Ottey
no flags Details
The resulting PDF (69.10 KB, application/pdf)
2010-03-12 10:13 EST, Daniel W. Ottey
no flags Details
zoom of table 1.2 (126.16 KB, image/png)
2010-03-22 00:02 EDT, Jeff Fearn
no flags Details

  None (edit)
Description Daniel W. Ottey 2010-03-12 10:12:53 EST
Created attachment 399674 [details]
The XML file.

Description of problem:

We use publican to create documents in PDF.  Sometimes the tables do not show a line at the bottom of the table border.


Version-Release number of selected component (if applicable):
publican-1.6-0.fc12.noarch

How reproducible:
Not all tables show this problem, but I think it happens more often than not.

Steps to Reproduce:
I will attach the XML  

Actual results:
Sometimes the bottom line is missing from table borders.  In the attached PDF, Table 1.1 has a bottom line border, but Table 1.2 does not.

Expected results:
A complete border around all tables.


Additional info:
XML and resultant PDF attached will be attached.
Comment 1 Daniel W. Ottey 2010-03-12 10:13:31 EST
Created attachment 399675 [details]
The resulting PDF
Comment 2 Jeff Fearn 2010-03-22 00:02:34 EDT
Created attachment 401627 [details]
zoom of table 1.2

Hi, Table 1.2 in the attached PDF does has a bottom border, as can been seen from zooming in.

It's probably a rendering issue with your PDF viewer.

Maybe we should change the border colour or thickness ...
Comment 3 Daniel W. Ottey 2010-03-22 00:08:06 EDT
Wow, I never even saw.  Yes, I think changing the thickness (and maybe the color) would help a lot.  I know the bottom line is not noticeable when I print it out as is.
Comment 4 Jeff Fearn 2010-03-22 23:33:02 EDT
Set table border colour to black, made them fatter.
Comment 5 Fedora Update System 2010-03-23 20:13:21 EDT
publican-1.6.1-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.6.1-0.fc12
Comment 6 Fedora Update System 2010-03-23 20:13:54 EDT
publican-1.6.1-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.6.1-0.fc11
Comment 7 Fedora Update System 2010-03-23 20:14:24 EDT
publican-1.6.1-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.6.1-0.fc13
Comment 8 Fedora Update System 2010-03-23 20:46:39 EDT
publican-1.6.1-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-03-24 19:36:14 EDT
publican-1.6.1-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-03-24 19:37:53 EDT
publican-1.6.1-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.